import java.awt.*;

/*
 *
 * AboutDialog
 *
 */
public class AboutDialog extends Dialog
{
	AboutDialog( Frame parent )
	{
		super( parent, "About Oberon-00 Compiler", true );

		GridBagLayout gridBag = new GridBagLayout();
		GridBagConstraints c = new GridBagConstraints();
		setLayout( gridBag );
		setBackground( Color.lightGray );
		Label l = new Label( "Oberon-00 Compiler", Label.CENTER );
		c.weighty = 0.0;
		c.gridwidth = GridBagConstraints.REMAINDER;
		c.gridheight = 1;
		c.insets = new Insets(10, 10, 0, 25 );
		gridBag.setConstraints( l, c );
		add( l );
		l = new Label( "University of California, Irvine", Label.CENTER );
		c.insets = new Insets(0, 10, 0, 25 );
		gridBag.setConstraints( l, c );
		add( l );
		l = new Label( "Department of Information and Computer Science", Label.CENTER );
		c.insets = new Insets(0, 10, 0, 25 );
		gridBag.setConstraints( l, c );
		add( l );
		l = new Label( "ICS280B, Spring 1997", Label.CENTER );
		c.insets = new Insets(0, 10, 0, 25 );
		gridBag.setConstraints( l, c );
		add( l );
		l = new Label( "Joachim Feise", Label.CENTER );
		c.insets = new Insets(0, 10, 0, 25 );
		gridBag.setConstraints( l, c );
		add( l );
		l = new Label( "jfeise@ics.uci.edu", Label.CENTER );
		c.insets = new Insets(0, 10, 0, 25 );
		gridBag.setConstraints( l, c );
		add( l );
		Panel p = new Panel();
		c.insets = new Insets(10, 10, 10, 25 );
		gridBag.setConstraints( p, c );
		add( p );
		p.add( "Center", new Button( "    OK    " ) );
		setResizable( false );
		pack();
		show();
	}

	public boolean action( Event event, Object arg )
	{
		dispose();
		return false;
	}

	public boolean handleEvent(Event evt)
	{
		switch (evt.id)
		{
			case Event.WINDOW_DESTROY:
				dispose();
				return true;
			default:
				return super.handleEvent(evt);
		}			 
	}

	public void paint( Graphics g )
	{
		update( g );
	}

	public void update( Graphics g )
	{
		Color fg = getForeground();
		Dimension d = size();
		Insets i = insets();
		g.setColor( Color.lightGray );
		g.fillRect( 0, 0, d.width-1, d.height-1 );

        String vendor = System.getProperty( "java.vendor", "dont know" );
        int left = 0;
        int top = 0;
        int width = d.width;
        int height = d.height;
        if( vendor.indexOf( "Sun" ) >= 0 )
        {
            // for Sun's java interpreter
            left = i.left;
            top = i.top;
		    width = d.width - left - i.right;
		    height = d.height - top - i.bottom;
        }
        else if( vendor.indexOf( "Microsoft" ) >= 0 )
        {
            // for Microsoft's jview interpreter
            left = 0;
            top = 0;
		    width = d.width - i.left - i.right;
		    height = d.height - i.top - i.bottom;
        }
        else
        {
            // for all other vendors supposed to work the same way as Sun
            left = i.left;
            top = i.top;
		    width = d.width - left - i.right;
		    height = d.height - top - i.bottom;
        }
        g.draw3DRect( left, top, width-1, height-1, true );
		g.draw3DRect( left+5, top+5, width-11, height-11, false );
		g.setColor( fg );
	}
}

