/*
 *
 * NodeKind
 *
 */
public class NodeKind 
{
    public final static NodeKind MODULE = new NodeKind();
    public final static NodeKind CONST = new NodeKind();
    public final static NodeKind TYPE = new NodeKind();
    public final static NodeKind VAR = new NodeKind();
    public final static NodeKind ARRAY = new NodeKind();
    public final static NodeKind RECORD = new NodeKind();
    public final static NodeKind ARRAYFIELD = new NodeKind();
    public final static NodeKind ARRAYVAL = new NodeKind();
    public final static NodeKind RECORDFIELD = new NodeKind();
    public final static NodeKind RECORDVAL = new NodeKind();
    public final static NodeKind TERMLIST = new NodeKind();
    public final static NodeKind TERM = new NodeKind();
    public final static NodeKind FACTOR = new NodeKind();
    public final static NodeKind EXPRESSION = new NodeKind();
    public final static NodeKind INSTRUCTION = new NodeKind();
    public final static NodeKind ASSIGN = new NodeKind();
    public final static NodeKind STATEMENT = new NodeKind();
    public final static NodeKind PROCEDURECALL = new NodeKind();
    public final static NodeKind PARAMETERS = new NodeKind();
    public final static NodeKind IF = new NodeKind();
    public final static NodeKind THEN = new NodeKind();
    public final static NodeKind ELSE = new NodeKind();
    public final static NodeKind ELSEIF = new NodeKind();
    public final static NodeKind WHILE = new NodeKind();
    public final static NodeKind CONDITION = new NodeKind();
    public final static NodeKind EQ = new NodeKind();
    public final static NodeKind NE = new NodeKind();
    public final static NodeKind GE = new NodeKind();
    public final static NodeKind GT = new NodeKind();
    public final static NodeKind LE = new NodeKind();
    public final static NodeKind LT = new NodeKind();
    public final static NodeKind INTEGER = new NodeKind();
    public final static NodeKind ID = new NodeKind();
    public final static NodeKind NOP = new NodeKind();

    public String toString()
    {
        if( this == MODULE )
            return "Module";
        else if( this == CONST )
            return "Const";
        else if( this == TYPE )
            return "Type";
        else if( this == VAR )
            return "Var";
        else if( this == ARRAY )
            return "Array";
        else if( this == RECORD )
            return "Record";
        else if( this == ARRAYFIELD )
            return "ArrayField";
        else if( this == ARRAYVAL )
            return "ArrayVal";
        else if( this == RECORDFIELD )
            return "RecordField";
        else if( this == RECORDVAL )
            return "RecordVal";
        else if( this == TERMLIST )
            return "TermList";
        else if( this == TERM )
            return "Term";
        else if( this == FACTOR )
            return "Factor";
        else if( this == EXPRESSION )
            return "Expression";
        else if( this == INSTRUCTION )
            return "Instruction";
        else if( this == ASSIGN )
            return "Assignment";
        else if( this == STATEMENT )
            return "Statement";
        else if( this == PROCEDURECALL )
            return "ProcedureCall";
        else if( this == PARAMETERS )
            return "Parameters";
        else if( this == IF )
            return "If";
        else if( this == THEN )
            return "Then";
        else if( this == ELSE )
            return "Else";
        else if( this == ELSEIF )
            return "ElseIf";
        else if( this == WHILE )
            return "While";
        else if( this == CONDITION )
            return "Condition";
        else if( this == EQ )
            return "Equal";
        else if( this == NE )
            return "Not Equal";
        else if( this == GE )
            return "Greater Or Equal Than";
        else if( this == GT )
            return "Greater Than";
        else if( this == LE )
            return "Less Or Equal Than";
        else if( this == LT )
            return "Less Than";
        else if( this == INTEGER )
            return "Integer";
        else if( this == ID )
            return "Ident";
        else if( this == NOP )
            return "Dummy";
        else
            return "Unknown Node";
    }
};
